public class MethodLocalTest {
        
  public Printable p = null;
  
  MethodLocalTest() {
    final java.util.Random r = new java.util.Random();
          
    class InnerPrintable implements Printable {
      private String data = new String("WXYZ"); 
      public void printAll() {
        System.out.println("Data is: " + data + " " +
                           r.nextInt(10) );
      }
    }
    p = new InnerPrintable();
  }  
  
 public void go(Printable x) {
    x.printAll();
  }
  public static void main(String[] args) {
    MethodLocalTest a = new MethodLocalTest();
    a.p.printAll();
    a.p.printAll();
    a.p.printAll();
    a.p.printAll();
    a.p.printAll();
  }
}